CVE-2011-3354

NameCVE-2011-3354
DescriptionThe CtcpParser::packedReply method in core/ctcpparser.cpp in Quassel before 0.7.3 allows remote attackers to cause a denial of service (crash) via a crafted Client-To-Client Protocol (CTCP) request, as demonstrated in the wild in September 2011.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs640960

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
quassel (PTS)jessie (security), jessie1:0.10.0-2.3+deb8u4fixed
stretch (security), stretch1:0.12.4-2+deb9u1fixed
buster, sid1:0.12.5-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
quasselsource(unstable)0.7.3-1low640960
quasselsourcesqueeze0.6.3-2+squeeze1medium640960

Notes

http://git.quassel-irc.org/?p=quassel.git;a=commit;h=da215fcb9cd3096a3e223c87577d5d4ab8f8518b

Search for package or bug name: Reporting problems